Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.action
Class Script

    java.lang.Object
      org.jbpm.graph.def.Action
          org.jbpm.graph.action.Script

All Implemented Interfaces:
  java.io.Serializable, ActionHandler, Parsable

    public class Script

extends Action
implements Parsable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `expression`
`protected java.util.Set` | `variableAccesses`

Fields inherited from class org.jbpm.graph.def.Action
`actionDelegation, actionExpression, event, isAsync, isAsyncExclusive, isPropagationAllowed, name, processDefinition, referencedAction`

Constructor Summary
`Script()`

Method Summary
`void` | `addVariableAccess(VariableAccess variableAccess)`
`java.util.Map` | `createInputMap(ExecutionContext executionContext)`
`java.util.Map` | `eval(ExecutionContext executionContext)`
`java.util.Map` | `eval(java.util.Map inputMap, java.util.Set outputNames)`
`java.util.Map` | `eval(Token token)`
`void` | `execute(ExecutionContext executionContext)`
`java.lang.String` | `getExpression()`
`java.util.Set` | `getVariableAccesses()`
`void` | `read(org.dom4j.Element scriptElement, JpdlXmlReader jpdlReader)`
`void` | `setExpression(java.lang.String expression)`
`void` | `setVariableAccesses(java.util.Set variableAccesses)`

Methods inherited from class org.jbpm.graph.def.Action
`acceptsPropagatedEvents, equals, getActionDelegation, getActionExpression, getEvent, getId, getName, getProcessDefinition, getReferencedAction, isAsync, isAsyncExclusive, isPropagationAllowed, setActionDelegation, setActionExpression, setAsync, setEvent, setName, setProcessDefinition, setPropagationAllowed, setReferencedAction, toString, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.jpdl.xml.Parsable
`write`

Field Detail

### expression

    protected java.lang.String expression

### variableAccesses

    protected java.util.Set variableAccesses

Constructor Detail

### Script

    public Script()

Method Detail

### read

    public void read(org.dom4j.Element scriptElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Action`

### execute

    public void execute(ExecutionContext executionContext)
                 throws java.lang.Exception

  Specified by:
    `execute` in interface `ActionHandler`
  Overrides:
    `execute` in class `Action`
  Throws:
    `java.lang.Exception`

### eval

    public java.util.Map eval(Token token)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### eval

    public java.util.Map eval(ExecutionContext executionContext)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createInputMap

    public java.util.Map createInputMap(ExecutionContext executionContext)

### eval

    public java.util.Map eval(java.util.Map inputMap,
                              java.util.Set outputNames)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addVariableAccess

    public void addVariableAccess(VariableAccess variableAccess)

### getExpression

    public java.lang.String getExpression()

### setExpression

    public void setExpression(java.lang.String expression)

### getVariableAccesses

    public java.util.Set getVariableAccesses()

### setVariableAccesses

    public void setVariableAccesses(java.util.Set variableAccesses)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD